<?xml version="1.0" encoding="UTF-8" ?>
<AronTypeDefinition>
    <CodeIncludes>
    </CodeIncludes>
    <AronIncludes>
      <!-- <Include include="<armarx/navigation/location/aron/Location.xml>" autoinclude="true" /> -->
      <Include include="<RobotAPI/libraries/armem/aron/MemoryID.xml>" autoinclude="true" />
    </AronIncludes>

    <GenerateTypes>

        <Object name='armarx::navigation::core::arondto::Vertex'>

            <ObjectChild key='vertexID'>
                <Long />
            </ObjectChild>

            <ObjectChild key='locationID'>
                <armarx::armem::arondto::MemoryID />
            </ObjectChild>

            <!--ObjectChild key='inputConnector'>
                <bool />
            </ObjectChild>

            <ObjectChild key='outputConnector'>
                <bool />
            </ObjectChild-->

        </Object>


        <Object name='armarx::navigation::core::arondto::Edge'>

            <ObjectChild key='sourceVertexID'>
                <Long />
            </ObjectChild>

            <ObjectChild key='targetVertexID'>
                <Long />
            </ObjectChild>

        </Object>


        <Object name='armarx::navigation::core::arondto::Graph'>

            <ObjectChild key='vertices'>
                <List>
                    <armarx::navigation::core::arondto::Vertex />
                </List>
            </ObjectChild>

            <ObjectChild key='edges'>
                <List>
                    <armarx::navigation::core::arondto::Edge />
                </List>
            </ObjectChild>

        </Object>

    </GenerateTypes>
</AronTypeDefinition>
